OnlyFans API
FanslyMass Messaging

List Scheduled Mass Messages

List the account's pending scheduled broadcasts. The response also includes the groups referenced by the scheduled messages — each groupId is a broadcast group that defines the recipient set (subscribers, lists, excluded users).

GET
/api/fansly/{fanslyAccount}/mass-messaging
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/mass-messaging"
{
  "data": {
    "scheduledBroadcastMessages": [
      {
        "id": "300000000000000020",
        "groupId": "200000000000000020",
        "accountId": "800000000000000001",
        "status": 1,
        "messageTemplate": "{\"type\":1,\"attachments\":[],\"content\":\"Hey everyone, new content is live!\",\"groupId\":\"200000000000000020\",\"senderId\":\"800000000000000001\",\"scheduledFor\":1785110911809,\"clientCreatedAt\":1784502540759,\"gatewayMetadata\":{\"createdAt\":1784502540831,\"correlationId\":\"300000000000000021\"}}",
        "version": 0,
        "scheduledFor": 1785110912000
      }
    ],
    "groups": [
      {
        "id": "200000000000000020",
        "type": 3,
        "groupFlags": 126,
        "groupFlagsMetadata": "",
        "createdBy": "800000000000000001",
        "users": [
          {
            "groupId": "200000000000000020",
            "userId": "900000000000000001",
            "type": 0,
            "permissionFlags": 0,
            "userSettings": {
              "customName": "",
              "hidden": 1
            }
          },
          {
            "groupId": "200000000000000020",
            "userId": "800000000000000001",
            "type": 0,
            "permissionFlags": 65535,
            "userSettings": {
              "customName": "",
              "hidden": 0
            }
          }
        ],
        "permissionFlags": [],
        "recipients": [
          {
            "groupId": "200000000000000020",
            "recipientId": "900000000000000002",
            "type": 30000,
            "permissionFlags": null
          },
          {
            "groupId": "200000000000000020",
            "recipientId": "900000000000000003",
            "type": 30001,
            "permissionFlags": null
          }
        ]
      }
    ]
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055789,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}